Subject: Re: bug#70277: Crash when attempting to create a regular button

From: Robert Weiner <[email-masked]>
Date: Sat, 29 Jun 2024 22:55:01 -0400

Marc Coquand <[email-masked]> writes:

> Heya!
>
> I'm having issues creating a regular Hyperbole button with {C-h h i c}
> and Info-index.
>
> I wanted to link to a specific info page, however, after setting a label
> and attempting to link to Info-index, I get the error:
>
> Debugger entered--Lisp error: (error "Cannot clone a file-visiting
buffer")
>   error("Cannot clone a file-visiting buffer")
>   clone-buffer()

This is the regular behavior of Emacs Info-index when called interactively
from a buffer with an attached file.  It simply doesn't support what you
are trying to do.  As mentioned in another response to your issue, use the
action type link-to-Info-index-item instead.

> I'm also noticing that regular info is broken as well:
>
> {C-h h i c eat<RET>info<RET>}
>
> Creates the following:
>
> <[eat]> - <nil nil nil>
>

The above works a bit better now but again you should choose the action
type link-to-Info-node instead.

Hope that helps.  We'll be closing this issue now.

-- rsw